"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const renderer = __importStar(require("react-test-renderer"));
const React = __importStar(require("react"));
const namespaces_1 = require("./namespaces");
describe('namespaces', function () {
    it('one level namespace', function () {
        renderer.create(React.createElement(namespaces_1.Namespace, { name: 'level1' },
            React.createElement("div", null,
                React.createElement(namespaces_1.Namespace, null, (level) => {
                    expect(level).toEqual(['level1']);
                    return null;
                }))));
    });
    it('two level namespace', function () {
        renderer.create(React.createElement(namespaces_1.Namespace, { name: 'level1' },
            React.createElement("div", null,
                React.createElement(namespaces_1.Namespace, { name: 'level2' },
                    React.createElement("div", null,
                        React.createElement(namespaces_1.Namespace, null, (level) => {
                            expect(level).toEqual(['level1', 'level2']);
                            return null;
                        }))))));
    });
});
//# sourceMappingURL=namespaces.test.js.map