"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const { Provider: NamespaceProvider, Consumer: NamespaceConsumer } = React.createContext([]);
exports.Namespace = (props) => {
    if (props.name == null) {
        const cprops = props;
        return React.createElement(NamespaceConsumer, null, (namespace) => {
            // console.log('namespace', namespace);
            if (typeof cprops.children == "function")
                return cprops.children(namespace);
            return cprops.children;
        });
    }
    return React.createElement(NamespaceConsumer, null, currentNamespace => {
        const rprops = props;
        return React.createElement(NamespaceProvider, { value: currentNamespace.concat(rprops.name) }, props.children);
    });
};
exports.PrintNamespace = (props) => {
    return React.createElement(exports.Namespace, null, (namespace) => {
        return React.createElement("ol", null, namespace.join('.'));
    });
};
//# sourceMappingURL=namespaces.js.map